> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve cost estimate for a job.

# Get job estimate



## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /jobs/estimate
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: August 1, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /jobs/estimate:
    get:
      operationId: EstimateJobCost
      parameters:
        - in: query
          name: backend
          required: true
          schema:
            $ref: '#/components/schemas/JobBackends'
        - in: query
          name: type
          required: false
          schema:
            type: string
            default: ionq.circuit.v1
        - in: query
          name: qubits
          required: false
          schema:
            type: integer
            format: int32
            default: 25
        - in: query
          name: shots
          required: false
          schema:
            type: integer
            format: int32
            default: 1000
        - in: query
          name: 1q_gates
          required: false
          schema:
            type: integer
            format: int32
            default: 0
        - in: query
          name: 2q_gates
          required: false
          schema:
            type: integer
            format: int32
            default: 0
        - in: query
          name: error_mitigation
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successfully retrieved the cost estimate of a job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobEstimateResponse'
        '429':
          description: >-
            Too Many Requests. To get a higher rate limit, please reach out to
            support@ionq.co
        '500':
          description: >-
            A generic server failure, please reach out to support@ionq.co for
            help with this error
        '502':
          description: >-
            Bad Gateway, this can be caused by misbehaving proxies, or by
            service issues. These can be retried, and downtime can be found on
            status.ionq.co
        '503':
          description: >-
            Service Unavailable, this is indicative of service outage, please
            check status.ionq.co
      security:
        - apiKeyAuth: []
components:
  schemas:
    JobBackends:
      type: string
      description: >-
        Available options: `simulator`, `qpu.aria-1`, `qpu.aria-2`,
        `qpu.forte-1`, `qpu.forte-enterprise-1`
    GetJobEstimateResponse:
      properties:
        estimate_context:
          $ref: '#/components/schemas/GetJobEstimateContext'
        estimated_at:
          $ref: '#/components/schemas/IsoTimestamp'
        estimated_unit:
          type: string
        rate_card:
          properties:
            rates:
              items:
                $ref: '#/components/schemas/RateCardEntry'
              type: array
            id:
              type: string
          required:
            - rates
            - id
          type: object
        estimated_total_cost:
          type: number
          format: double
        estimated_execution_time:
          type: integer
          format: int32
          description: Predicted job execution time, in milliseconds.
          example: 96250
        estimated_quantum_compute_time_us:
          type: integer
          format: int32
          description: |-
            Predicted quantum compute time, in microseconds. Only present for
            compute_second priced backends.
        current_predicted_queue_time:
          type: integer
          format: int32
          description: >-
            Predicted time this job will wait in the queue before running, in
            milliseconds.
          example: 397577
      required:
        - estimate_context
        - estimated_at
        - estimated_unit
        - rate_card
        - estimated_total_cost
        - estimated_execution_time
        - current_predicted_queue_time
      type: object
      additionalProperties: false
    GetJobEstimateContext:
      properties:
        backend:
          $ref: '#/components/schemas/JobBackends'
        type:
          type: string
          default: ionq.circuit.v1
        qubits:
          type: integer
          format: int32
          default: 25
        shots:
          type: integer
          format: int32
          default: 1000
        1q_gates:
          type: integer
          format: int32
          default: 0
        2q_gates:
          type: integer
          format: int32
          default: 0
        error_mitigation:
          type: boolean
          default: false
        organization:
          type: string
          nullable: true
        project:
          type: string
          nullable: true
      required:
        - backend
        - organization
        - project
      type: object
      additionalProperties: false
    IsoTimestamp:
      type: string
    RateCardEntry:
      properties:
        sku:
          type: string
        unit:
          type: string
          enum:
            - compute_second
            - gates
        unit_cost:
          type: number
          format: double
          description: Present only when unit is "compute_second".
        cost_1q_gate:
          type: number
          format: double
          description: Present only when unit is "gates".
        cost_2q_gate:
          type: number
          format: double
          description: Present only when unit is "gates".
        job_cost_minimum:
          type: number
          format: double
          description: >-
            Present only when unit is "gates" and the contract applies a job
            minimum.
      required:
        - sku
        - unit
      type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````